Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ox
Class XMLConstants

`java.lang.Object
oracle.toplink.ox.XMLConstants`

public class XMLConstants
extends java.lang.Object

XMLConstants maintains a list of useful XMLConstants.

This includes constants for built-in schema types as well as QNames which represent those built-in schema types. These QName constants can be used, for example, when adding conversion pairs to XMLFields and when adding schema types to XMLUnionField.

Code Sample
`XMLUnionField unionField = new XMLUnionField("myElement");
unionField.addSchemaType()`

Field Summary
`static java.lang.String` | `ANY_SIMPLE_TYPE`
`static javax.xml.namespace.QName` | `ANY_SIMPLE_TYPE_QNAME`
`static java.lang.String` | `BASE_64_BINARY`
`static javax.xml.namespace.QName` | `BASE_64_BINARY_QNAME`
`static java.lang.String` | `BOOLEAN`
`static javax.xml.namespace.QName` | `BOOLEAN_QNAME`
`static java.lang.String` | `BYTE`
`static javax.xml.namespace.QName` | `BYTE_QNAME`
`static java.lang.String` | `DATE`
`static javax.xml.namespace.QName` | `DATE_QNAME`
`static java.lang.String` | `DATE_TIME`
`static javax.xml.namespace.QName` | `DATE_TIME_QNAME`
`static java.lang.String` | `DECIMAL`
`static javax.xml.namespace.QName` | `DECIMAL_QNAME`
`static java.lang.String` | `DOUBLE`
`static javax.xml.namespace.QName` | `DOUBLE_QNAME`
`static java.lang.String` | `FLOAT`
`static javax.xml.namespace.QName` | `FLOAT_QNAME`
`static java.lang.String` | `HEX_BINARY`
`static javax.xml.namespace.QName` | `HEX_BINARY_QNAME`
`static java.lang.String` | `INT`
`static javax.xml.namespace.QName` | `INT_QNAME`
`static java.lang.String` | `INTEGER`
`static javax.xml.namespace.QName` | `INTEGER_QNAME`
`static java.lang.String` | `JAXB_FRAGMENT`
`static java.lang.String` | `LONG`
`static javax.xml.namespace.QName` | `LONG_QNAME`
`static java.lang.String` | `QNAME`
`static java.lang.Class` | `QNAME_CLASS`
`static javax.xml.namespace.QName` | `QNAME_QNAME`
`static java.lang.String` | `SCHEMA_INSTANCE_PREFIX`
`static java.lang.String` | `SCHEMA_INSTANCE_URL`
`static java.lang.String` | `SCHEMA_PREFIX`
`static java.lang.String` | `SCHEMA_TYPE_ATTRIBUTE`
`static java.lang.String` | `SCHEMA_URL`
`static java.lang.String` | `SHORT`
`static javax.xml.namespace.QName` | `SHORT_QNAME`
`static java.lang.String` | `STRING`
`static javax.xml.namespace.QName` | `STRING_QNAME`
`static java.lang.String` | `TARGET_NAMESPACE_PREFIX`
`static java.lang.String` | `TIME`
`static javax.xml.namespace.QName` | `TIME_QNAME`
`static java.lang.String` | `UNSIGNED_BYTE`
`static javax.xml.namespace.QName` | `UNSIGNED_BYTE_QNAME`
`static java.lang.String` | `UNSIGNED_INT`
`static javax.xml.namespace.QName` | `UNSIGNED_INT_QNAME`
`static java.lang.String` | `UNSIGNED_SHORT`
`static javax.xml.namespace.QName` | `UNSIGNED_SHORT_QNAME`
`static java.lang.String` | `XMLNS`
`static java.lang.String` | `XMLNS_URL`

Constructor Summary
`XMLConstants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_PREFIX

    public static final java.lang.String SCHEMA_PREFIX

  See Also:
    Constant Field Values

### SCHEMA_URL

    public static final java.lang.String SCHEMA_URL

  See Also:
    Constant Field Values

### SCHEMA_INSTANCE_PREFIX

    public static final java.lang.String SCHEMA_INSTANCE_PREFIX

  See Also:
    Constant Field Values

### SCHEMA_INSTANCE_URL

    public static final java.lang.String SCHEMA_INSTANCE_URL

  See Also:
    Constant Field Values

### TARGET_NAMESPACE_PREFIX

    public static final java.lang.String TARGET_NAMESPACE_PREFIX

  See Also:
    Constant Field Values

### XMLNS

    public static final java.lang.String XMLNS

  See Also:
    Constant Field Values

### XMLNS_URL

    public static final java.lang.String XMLNS_URL

  See Also:
    Constant Field Values

### SCHEMA_TYPE_ATTRIBUTE

    public static final java.lang.String SCHEMA_TYPE_ATTRIBUTE

  See Also:
    Constant Field Values

### QNAME_CLASS

    public static final java.lang.Class QNAME_CLASS

### BASE_64_BINARY

    public static final java.lang.String BASE_64_BINARY

  See Also:
    Constant Field Values

### BOOLEAN

    public static final java.lang.String BOOLEAN

  See Also:
    Constant Field Values

### BYTE

    public static final java.lang.String BYTE

  See Also:
    Constant Field Values

### DATE

    public static final java.lang.String DATE

  See Also:
    Constant Field Values

### DATE_TIME

    public static final java.lang.String DATE_TIME

  See Also:
    Constant Field Values

### DECIMAL

    public static final java.lang.String DECIMAL

  See Also:
    Constant Field Values

### DOUBLE

    public static final java.lang.String DOUBLE

  See Also:
    Constant Field Values

### FLOAT

    public static final java.lang.String FLOAT

  See Also:
    Constant Field Values

### HEX_BINARY

    public static final java.lang.String HEX_BINARY

  See Also:
    Constant Field Values

### INT

    public static final java.lang.String INT

  See Also:
    Constant Field Values

### INTEGER

    public static final java.lang.String INTEGER

  See Also:
    Constant Field Values

### LONG

    public static final java.lang.String LONG

  See Also:
    Constant Field Values

### QNAME

    public static final java.lang.String QNAME

  See Also:
    Constant Field Values

### SHORT

    public static final java.lang.String SHORT

  See Also:
    Constant Field Values

### STRING

    public static final java.lang.String STRING

  See Also:
    Constant Field Values

### TIME

    public static final java.lang.String TIME

  See Also:
    Constant Field Values

### UNSIGNED_BYTE

    public static final java.lang.String UNSIGNED_BYTE

  See Also:
    Constant Field Values

### UNSIGNED_INT

    public static final java.lang.String UNSIGNED_INT

  See Also:
    Constant Field Values

### UNSIGNED_SHORT

    public static final java.lang.String UNSIGNED_SHORT

  See Also:
    Constant Field Values

### ANY_SIMPLE_TYPE

    public static final java.lang.String ANY_SIMPLE_TYPE

  See Also:
    Constant Field Values

### ANY_SIMPLE_TYPE_QNAME

    public static final javax.xml.namespace.QName ANY_SIMPLE_TYPE_QNAME

### BASE_64_BINARY_QNAME

    public static final javax.xml.namespace.QName BASE_64_BINARY_QNAME

### HEX_BINARY_QNAME

    public static final javax.xml.namespace.QName HEX_BINARY_QNAME

### DATE_QNAME

    public static final javax.xml.namespace.QName DATE_QNAME

### TIME_QNAME

    public static final javax.xml.namespace.QName TIME_QNAME

### DATE_TIME_QNAME

    public static final javax.xml.namespace.QName DATE_TIME_QNAME

### BOOLEAN_QNAME

    public static final javax.xml.namespace.QName BOOLEAN_QNAME

### BYTE_QNAME

    public static final javax.xml.namespace.QName BYTE_QNAME

### DECIMAL_QNAME

    public static final javax.xml.namespace.QName DECIMAL_QNAME

### DOUBLE_QNAME

    public static final javax.xml.namespace.QName DOUBLE_QNAME

### FLOAT_QNAME

    public static final javax.xml.namespace.QName FLOAT_QNAME

### INT_QNAME

    public static final javax.xml.namespace.QName INT_QNAME

### INTEGER_QNAME

    public static final javax.xml.namespace.QName INTEGER_QNAME

### LONG_QNAME

    public static final javax.xml.namespace.QName LONG_QNAME

### QNAME_QNAME

    public static final javax.xml.namespace.QName QNAME_QNAME

### SHORT_QNAME

    public static final javax.xml.namespace.QName SHORT_QNAME

### STRING_QNAME

    public static final javax.xml.namespace.QName STRING_QNAME

### UNSIGNED_BYTE_QNAME

    public static final javax.xml.namespace.QName UNSIGNED_BYTE_QNAME

### UNSIGNED_INT_QNAME

    public static final javax.xml.namespace.QName UNSIGNED_INT_QNAME

### UNSIGNED_SHORT_QNAME

    public static final javax.xml.namespace.QName UNSIGNED_SHORT_QNAME

### JAXB_FRAGMENT

    public static final java.lang.String JAXB_FRAGMENT

  See Also:
    Constant Field Values

Constructor Detail

### XMLConstants

    public XMLConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD